## q4wine 1.0

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(q4wine)

SET(CMAKE_VERBOSE_MAKEFILE ON)

SET(APP_VERSION "1.0-r3")
SET(APP_NAME_GLOBAL "q4wine")

if(POLICY CMP0011)
    cmake_policy(SET CMP0011 NEW)
endif(POLICY CMP0011)

IF(${CMAKE_VERSION} GREATER OR EQUAL 2.8.8)
option(QT5 "If ON, then q4wine will be built with Qt 5.x." "OFF")
ENDIF(${CMAKE_VERSION} GREATER OR EQUAL 2.8.8)
option(DEBUG "If ON, then q4wine will send debug messages to STDOUT. Use it for development or bug reportint purposes." "OFF")
option(RELEASE "If OFF, then force q4wine to use APP_BUILD as CMAKE_INSTALL_PREFIX. Use it for development purposes." "ON")
option(WITH_ICOUTILS "If ON, then build q4wine with icoutils support." "ON")
option(WITH_SYSTEM_SINGLEAPP "If ON, then use system QtSingleApplication library instead building one." "OFF")
option(WITH_WINEAPPDB "If ON, then build q4wine with Wine AppDB browser support." "ON")
option(USE_BZIP2 "Use bzip2 to compress man pages." "OFF")
option(USE_GZIP "Use gzip to compress man pages." "OFF")
option(WITH_DBUS "If ON, then build q4wine with QtDBus notification support." "ON")
option(LINGUAS "Language list" "en_us;ru_ru;uk_ua;pt_br;es_es;it_it;cs_cz;he_il;pl_pl;de_de;fa_ir;af_za")
option(LIBS_ENTRY_PATH "Destination directory for q4wine-core library")

MESSAGE("\n * Utility for Wine applications and prefixes management.")
MESSAGE(" * (C) 2008-2013, Alexey S. Malakhov")
MESSAGE(" * http://brezblock.org.ua/\n")

MESSAGE(STATUS "Q4Wine build environment -- \n")

IF( QT5 )
SET(QT_MIN_VERSION "5.0.1")
FIND_PACKAGE(Qt5Core REQUIRED)
ELSE( QT5 )
SET(QT_MIN_VERSION "4.4.0")
FIND_PACKAGE(Qt4 REQUIRED)
ENDIF( QT5 )
    IF(QT_FOUND)
	MESSAGE("\n-- Found Qt version : ${QTVERSION}")

	IF(QT_QTSQL_FOUND)
	     SET(QT_USE_QTSQL 1)
	ELSE(QT_QTSQL_FOUND)
	     MESSAGE(FATAL ERROR "Qt SQL libraries missing.")
	ENDIF(QT_QTSQL_FOUND)

	IF(QT_QTGUI_FOUND)
	     SET(QT_USE_QTGUI 1)
	ELSE(QT_QTGUI_FOUND)
             MESSAGE(FATAL ERROR "Qt GUI libraries missing.")
	ENDIF(QT_QTGUI_FOUND)

	IF(QT_QTNETWORK_FOUND)
	     SET(QT_USE_QTNETWORK 1)
	ELSE(QT_QTNETWORK_FOUND)
	     MESSAGE(FATAL ERROR "Qt Network libraries missing.")
	ENDIF(QT_QTNETWORK_FOUND)

	IF(QT_QTXML_FOUND)
             SET(QT_USE_QTXML 1)
	ELSE(QT_QTXML_FOUND)
             MESSAGE(FATAL ERROR "Qt XML libraries missing.")
	ENDIF(QT_QTXML_FOUND)

	IF(QT_QTCORE_FOUND)
             SET(QT_USE_QTCORE 1)
	ELSE(QT_QTCORE_FOUND)
             MESSAGE(FATAL ERROR "Qt Core libraries missing.")
	ENDIF(QT_QTCORE_FOUND)

	IF(WITH_DBUS)
		IF(QT_QTDBUS_FOUND)
		    SET(QT_USE_QTDBUS 1)
		ELSE(QT_QTDBUS_FOUND)
		    MESSAGE(FATAL ERROR "Qt D-Bus libraries missing.")
		ENDIF(QT_QTDBUS_FOUND)
	ENDIF(WITH_DBUS)

	INCLUDE(${QT_USE_FILE})
     ELSE(QT_FOUND)
	MESSAGE(FATAL ERROR "Qt not found.")
     ENDIF(QT_FOUND)

MESSAGE(STATUS "Build realm is   : ${CMAKE_SYSTEM_NAME} ${CMAKE_HOST_SYSTEM_PROCESSOR}\n")

IF (${CMAKE_SYSTEM_NAME} MATCHES Linux)
    SET(_OS_LINUX_ 1)
    ADD_DEFINITIONS(-Wall -g)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES Linux)

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(_OS_FREEBSD_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
ENDIF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    link_directories(/usr/lib)
    SET(_OS_DARWIN_ 1)
    ADD_DEFINITIONS(-Wall -g -DKERNEL)
    SET( PROGNAME q4wine )
    SET( MACOSX_BUNDLE_ICON_FILE "q4wine-128x128.icns" )
    SET( MACOSX_BUNDLE_INFO_STRING "Qt4 utility for Wine applications and prefixes management" )
    SET( MACOSX_BUNDLE_BUNDLE_NAME ${APP_NAME_GLOBAL})
    SET( MACOSX_BUNDLE_SHORT_VERSION_STRING ${APP_VERSION} )
    SET( MACOSX_BUNDLE_VERSION ${APP_VERSION} )
    SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version ${APP_VERSION} )
    SET( MACOSX_BUNDLE_GUI_IDENTIFIER "http://q4wine.brezblock.org.ua/" )
    SET( MACOSX_BUNDLE_COPYRIGH "(C) 2008-2011, Alexey S. Malakhov" )
    SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Applications )
    SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources )
    SET( DATA_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources/icons )
    SET( THEMES_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Resources)
    SET( MANPAGE_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/man/man1 )
    SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/Frameworks )
    SET( APPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/MacOS )
    SET( I18N_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents/i18n )

    SET( WITH_ICOUTILS OFF )
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    IF( NOT DATA_ENTRY_PATH )
        SET( DATA_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine/icons )
    ENDIF( NOT DATA_ENTRY_PATH )
    IF( NOT THEMES_ENTRY_PATH )
        SET( THEMES_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine )
    ENDIF( NOT THEMES_ENTRY_PATH )
    IF( NOT I18N_ENTRY_PATH )
        SET( I18N_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/q4wine/i18n )
    ENDIF( NOT I18N_ENTRY_PATH )
    IF( NOT APPS_ENTRY_PATH )
        SET( APPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/bin )
    ENDIF( NOT APPS_ENTRY_PATH )
    IF( NOT DESKTOP_ENTRY_PATH )
        SET( DESKTOP_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/applications )
    ENDIF( NOT DESKTOP_ENTRY_PATH )
    IF( NOT PIXMAPS_ENTRY_PATH )
        SET( PIXMAPS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor )
    ENDIF( NOT PIXMAPS_ENTRY_PATH )
    IF( NOT MANPAGE_ENTRY_PATH )
        SET( MANPAGE_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/share/man )
    ENDIF( NOT MANPAGE_ENTRY_PATH )
    IF( NOT LIBS_ENTRY_PATH )
        IF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
            SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib64/q4wine)
        ELSE (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
            SET( LIBS_ENTRY_PATH ${CMAKE_INSTALL_PREFIX}/lib/q4wine)
        ENDIF (${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES x86_64)
    ENDIF( NOT LIBS_ENTRY_PATH )
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

# RPATH fixes
# skip the full RPATH for the build tree
#SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
# when building, use the install RPATH already
# (so it doesn't need to relink when installing)
#SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)

# the RPATH to be used when installing
# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
#SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

IF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    IF( NOT DEFINED SKIP_RPATH )
        SET(CMAKE_INSTALL_RPATH "${LIBS_ENTRY_PATH}")
    ELSE( NOT DEFINED SKIP_RPATH )
        MESSAGE(STATUS "NOTE: Skip for RPATH build!")
        SET(CMAKE_SKIP_BUILD_RPATH  TRUE)
    ENDIF( NOT DEFINED SKIP_RPATH )
ENDIF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF( NOT LINGUAS )
    SET ( LINGUAS en_us ru_ru uk_ua pt_br es_es it_it cs_cz he_il pl_pl de_de fa_ir af_za)
ENDIF( NOT LINGUAS )

configure_file(${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_SOURCE_DIR}/config.h )

MESSAGE(STATUS "Q4Wine build options --\n")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_ARCH \"${CMAKE_HOST_SYSTEM_PROCESSOR}\"\n" )
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_HOST \"${CMAKE_SYSTEM_NAME}\"\n" )

file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_VERS \"${APP_VERSION}\"\n")
    MESSAGE(STATUS "Version                       : ${APP_VERSION}")
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_PREF \"${CMAKE_INSTALL_PREFIX}\"\n" )

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define _CORELIB_PATH_ \"q4wine.app/Contents/Frameworks/libq4wine-core\"\n" )
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define _CORELIB_PATH_ \"libq4wine-core\"\n" )
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF( RELEASE )
    MESSAGE(STATUS "CMAKE_INSTALL_PREFIX          : ${CMAKE_INSTALL_PREFIX}")
    MESSAGE(STATUS "DESKTOP_ENTRY_PATH            : ${DESKTOP_ENTRY_PATH}")
    MESSAGE(STATUS "PIXMAPS_ENTRY_PATH            : ${PIXMAPS_ENTRY_PATH}")
    MESSAGE(STATUS "MANPAGE_ENTRY_PATH            : ${MANPAGE_ENTRY_PATH}")
    MESSAGE(STATUS "LIBS_ENTRY_PATH               : ${LIBS_ENTRY_PATH}\n")
ELSE ( RELEASE )
    MESSAGE("\n")
    MESSAGE(STATUS "Build Q4Wine in development mode (RELEASE=OFF) --\n")
ENDIF( RELEASE )
file(APPEND ${CMAKE_SOURCE_DIR}/config.h "\n#endif\n" )

    MESSAGE(STATUS "DEBUG                         : ${DEBUG}")
    MESSAGE(STATUS "RELEASE                       : ${RELEASE}")
IF( NOT RELEASE )
    file(APPEND ${CMAKE_SOURCE_DIR}/config.h "#define APP_BUILD \"${CMAKE_CURRENT_BINARY_DIR}\"\n" )
ENDIF ( NOT RELEASE )
IF(${CMAKE_VERSION} GREATER OR EQUAL 2.8.8)
    MESSAGE(STATUS "QT5                           : ${QT5}")
ENDIF(${CMAKE_VERSION} GREATER OR EQUAL 2.8.8)
    MESSAGE(STATUS "WITH_ICOUTILS                 : ${WITH_ICOUTILS}")
    MESSAGE(STATUS "WITH_SYSTEM_SINGLEAPP         : ${WITH_SYSTEM_SINGLEAPP}")
    MESSAGE(STATUS "WITH_WINEAPPDB                : ${WITH_WINEAPPDB}")
    MESSAGE(STATUS "USE_BZIP2                     : ${USE_BZIP2}")
    MESSAGE(STATUS "USE_GZIP                      : ${USE_GZIP}")
    MESSAGE(STATUS "WITH_DBUS                     : ${WITH_DBUS}\n")

    MESSAGE(STATUS "LINGUAS                       : ${LINGUAS}\n")

MESSAGE(STATUS "See INSTALL file for details and more info --\n")

IF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    find_program( FUSEISO_BIN NAMES fuseiso )
    MESSAGE(STATUS "Searching for fuseiso binary --\n")
    IF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
        MESSAGE(STATUS "    fuseiso : NOT FOUND!\n")
        MESSAGE(STATUS "    WARNING: To have ability to mount and umount ISO9660 images")
        MESSAGE(STATUS "    WARNING: without root privileges you may wish to install")
        MESSAGE(STATUS "    WARNING: fuseiso package ( http://fuseiso.sourceforge.net/ )\n")
    ELSE (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
        MESSAGE(STATUS "    fuseiso : ${FUSEISO_BIN}\n")
    ENDIF (${FUSEISO_BIN} MATCHES FUSEISO_BIN-NOTFOUND)
ENDIF( NOT ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

IF (WITH_ICOUTILS MATCHES ON)
    find_program( WRESTOOL NAMES wrestool )
    find_program( ICOTOOL NAMES icotool )
    MESSAGE(STATUS "Searching for icoutils binaries (WITH_ICOUTILS=ON) --\n")
    IF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : NOT FOUND!")
        MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS="OFF" option to cmake")
    ELSE (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)
        MESSAGE(STATUS "    wrestool : ${WRESTOOL}")
    ENDIF (${WRESTOOL} MATCHES WRESTOOL-NOTFOUND)

    IF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
        MESSAGE(STATUS "    icotool  : NOT FOUND!\n")
        MESSAGE(FATAL_ERROR "Please install icoutils package or disable icoutils support by adding -DWITH_ICOUTILS="OFF" option to cmake")
    ELSE (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
        MESSAGE(STATUS "    icotool  : ${ICOTOOL}\n")
    ENDIF (${ICOTOOL} MATCHES ICOTOOL-NOTFOUND)
ENDIF (WITH_ICOUTILS MATCHES ON)

IF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )
    MESSAGE(ERROE "    ERROR: Embedded fuseiso is not supported any more, plese remove WITH_EMBEDDED_FUSEISO flag")
    MESSAGE(ERROR "    ERROR: and use native fuseiso instead!\n")
    MESSAGE(ERROR "    ERROR: fuseiso package avalible here: http://fuseiso.sourceforge.net/ \n")
ENDIF (${WITH_EMBEDDED_FUSEISO} MATCHES ON )

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins

=== src/icons/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    SET( DESKTOP_PIXMAPS ${CMAKE_SOURCE_DIR}/src/icons/q4wine-128x128.icns )
    SET( DESKTOP_PLIST ${CMAKE_SOURCE_DIR}/src/icons/Info.plist )

    IF( RELEASE )
        install(FILES ${DESKTOP_PIXMAPS} DESTINATION ${PIXMAPS_ENTRY_PATH})
        install(FILES ${DESKTOP_PLIST} DESTINATION ${CMAKE_INSTALL_PREFIX}/${APP_NAME_GLOBAL}.app/Contents)
    ENDIF( RELEASE )
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    foreach (SIZE 256 192 128 96 64 48 32 22 16)
        SET( DESKTOP_PIXMAPS
            ${CMAKE_SOURCE_DIR}/src/icons/q4wine-${SIZE}x${SIZE}.png )
        IF( RELEASE )
            install(FILES ${DESKTOP_PIXMAPS} DESTINATION ${PIXMAPS_ENTRY_PATH}/${SIZE}x${SIZE}/apps RENAME q4wine.png)
        ENDIF( RELEASE )
    endforeach()
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

=== src/q4wine-cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( Q4WINE_CLI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli/q4wine-cli.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
)

SET( Q4WINE_CLI_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli/q4wine-cli.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/image.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
)

ADD_EXECUTABLE( q4wine-cli ${Q4WINE_CLI_SOURCES} ${Q4WINE_CLI_HEADERS} ${QM_I18N} ${Q4WINE_LIB_UI_HEADERS} ${Q4WINE_LIB_LIB_MOC_SOURCES} )
add_dependencies( q4wine-cli translations_build )

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

TARGET_LINK_LIBRARIES( q4wine-cli ${QT_LIBRARIES} q4wine-core ${BSD_LIBS})

IF( RELEASE )
    install(TARGETS q4wine-cli DESTINATION ${APPS_ENTRY_PATH})
ENDIF( RELEASE )

=== src/q4wine-gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET( DESKTOP_GUI_ENTRY
    ${CMAKE_SOURCE_DIR}/q4wine.desktop
)

SET ( Q4WINE_RESOURCE_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine.qrc
)

SET( Q4WINE_GUI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.cpp
    ${CMAKE_SOURCE_DIR}/src/main.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/sysconfig.cpp
    ${CMAKE_SOURCE_DIR}/src/core/registry.cpp
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.cpp
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/infodialog.cpp
)

SET ( Q4WINE_GUI_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/authors.h
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
    ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/last_run_icon.h
    ${CMAKE_SOURCE_DIR}/src/core/database/image.h
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.h
    ${CMAKE_SOURCE_DIR}/src/core/database/sysconfig.h
    ${CMAKE_SOURCE_DIR}/src/core/appdbstructs.h
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/infodialog.h
)

SET ( Q4WINE_GUI_MOC_HEADEDRS
    ${CMAKE_SOURCE_DIR}/src/core/registry.h
    ${CMAKE_SOURCE_DIR}/src/core/xmlparser.h
    ${CMAKE_SOURCE_DIR}/src/core/httpcore.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/appsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/iconsview.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/mainwindow.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/prefixsettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/progress.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/about.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/run.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/wizard.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/imagemanager.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/winedrivedialog.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlistwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/iconlisttoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreewidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixtreetoolbar.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/wineprocesswidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixcontrolwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/drivelistwidgetitem.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/loggingwidget.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/prefixconfigwidget.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/fakedrivesettings.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/infodialog.h
)

SET ( Q4WINE_GUI_UI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/About.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconsView.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/MainWindow.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/PrefixSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/FakeDriveSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Process.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Run.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Wizard.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/IconSettings.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/ImageManager.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/WineDriveDialog.ui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/InfoDialog.ui
)

IF (${WITH_WINEAPPDB} MATCHES ON )
    SET( Q4WINE_GUI_SOURCES
        ${Q4WINE_GUI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.cpp
    )

    SET ( Q4WINE_GUI_HEADERS
        ${Q4WINE_GUI_HEADERS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
    )

    SET ( Q4WINE_GUI_MOC_HEADEDRS
        ${Q4WINE_GUI_MOC_HEADEDRS}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/linkitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbscrollwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appdbheaderwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/appinfowidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/lineitemwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/apptestwidget.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb/commentwidget.h
    )

    SET ( Q4WINE_GUI_UI_SOURCES
        ${Q4WINE_GUI_UI_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppInfoWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/AppTestWidget.ui
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/CommentWidget.ui
    )
ENDIF (${WITH_WINEAPPDB} MATCHES ON )

add_custom_target (
    authors
    COMMAND ${CMAKE_SOURCE_DIR}/tools/gen_authors.py --generate
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

QT4_ADD_RESOURCES( RCC_SRCS ${Q4WINE_RESOURCE_SOURCES} )

QT4_WRAP_UI( Q4WINE_GUI_UI_HEADERS ${Q4WINE_GUI_UI_SOURCES} ${PLUGINS_GUI_UI_SOURCES} )
QT4_WRAP_CPP( Q4WINE_GUI_MOC_SOURCES ${Q4WINE_GUI_MOC_HEADEDRS} )
ADD_EXECUTABLE( q4wine ${Q4WINE_GUI_SOURCES} ${Q4WINE_GUI_HEADERS} ${Q4WINE_GUI_UI_HEADERS} ${Q4WINE_GUI_MOC_SOURCES} ${RCC_SRCS} ${QM_I18N} ${PLUGINS_GUI_SOURCES} ${PLUGINS_GUI_HEADERS} ${PLUGINS_GUI_UI_HEADERS} ${PLUGINS_GUI_MOC_SOURCES})
add_dependencies( q4wine translations_build )

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

TARGET_LINK_LIBRARIES( q4wine ${QT_LIBRARIES} q4wine-core ${BSD_LIBS} ${QTSINGLEAPPLIB})

IF( RELEASE )
    #install(TARGETS q4wine RUNTIME DESTINATION ${APPS_ENTRY_PATH} BUNDLE DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(TARGETS q4wine DESTINATION ${APPS_ENTRY_PATH})
    install(FILES ${DESKTOP_GUI_ENTRY} DESTINATION ${DESKTOP_ENTRY_PATH})
    set(CPACK_BINARY_DRAGNDROP ON)
ENDIF( RELEASE )

=== src/q4wine-helper/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins
)

INCLUDE_DIRECTORIES( ${Q4WINE_HEADERS_DIR} ${CMAKE_BINARY_DIR} )

SET( Q4WINE_HELPER_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/q4wine-helper.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.cpp
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.cpp
)

SET( Q4WINE_HELPER_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/q4wine-helper.h
    ${CMAKE_SOURCE_DIR}/config.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
    ${CMAKE_SOURCE_DIR}/src/core/database/logging.h
    ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.h
)

SET ( Q4WINE_HELPER_MOC_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-helper/wineobject.h
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
)

IF( QT5 )
QT5_WRAP_CPP( Q4WINE_HELPER_LIB_MOC_SOURCES ${Q4WINE_HELPER_MOC_HEADERS} )
ELSE( QT5 )
QT4_WRAP_CPP( Q4WINE_HELPER_LIB_MOC_SOURCES ${Q4WINE_HELPER_MOC_HEADERS} )
ENDIF( QT5 )

ADD_EXECUTABLE( q4wine-helper ${Q4WINE_HELPER_SOURCES}
    ${Q4WINE_HELPER_UI_HEADERS} ${Q4WINE_LIB_UI_HEADERS}
    ${Q4WINE_LIB_LIB_MOC_SOURCES} ${Q4WINE_HELPER_LIB_MOC_SOURCES}
    ${Q4WINE_HELPER_HEADERS} ${QM_I18N} )

add_dependencies( q4wine-helper translations_build )

IF (${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)
    SET(BSD_LIBS -lkvm)
ENDIF(${CMAKE_SYSTEM_NAME} MATCHES FreeBSD)

TARGET_LINK_LIBRARIES( q4wine-helper ${QT_LIBRARIES} q4wine-core ${BSD_LIBS})

IF( RELEASE )
    install(TARGETS q4wine-helper DESTINATION ${APPS_ENTRY_PATH})
ENDIF( RELEASE )

=== src/q4wine-lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_HEADERS_DIR
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/src/core
    ${CMAKE_SOURCE_DIR}/src/core/database
    ${CMAKE_SOURCE_DIR}/src/q4wine-cli
    ${CMAKE_SOURCE_DIR}/src/q4wine-lib
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/widgets/appdb
    ${CMAKE_SOURCE_DIR}/src/plugins
)

IF ( ${WITH_SYSTEM_SINGLEAPP} MATCHES ON )
    SET ( Q4WINE_HEADERS_DIR
        ${Q4WINE_HEADERS_DIR}
        ${QTSINGLEAPPLIB_INCLUDE_DIR}
    )
ELSE ( ${WITH_SYSTEM_SINGLEAPP} MATCHES ON )
    SET ( Q4WINE_HEADERS_DIR
        ${Q4WINE_HEADERS_DIR}
        ${CMAKE_SOURCE_DIR}/src/qtsingleapplication
    )
ENDIF ( ${WITH_SYSTEM_SINGLEAPP} MATCHES ON )

INCLUDE_DIRECTORIES( ${Q4WINE_HEADERS_DIR} ${CMAKE_BINARY_DIR} )

SET( Q4WINE_LIB_SOURCES
        ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/db.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/prefix.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/dir.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/icon.cpp
        ${CMAKE_SOURCE_DIR}/src/core/database/image.cpp
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.cpp
)

SET( Q4WINE_LIB_HEADERS
        ${CMAKE_SOURCE_DIR}/src/q4wine-lib/q4wine-lib.h
        ${CMAKE_SOURCE_DIR}/config.h
        ${CMAKE_SOURCE_DIR}/src/core/database/db.h
        ${CMAKE_SOURCE_DIR}/src/core/database/prefix.h
        ${CMAKE_SOURCE_DIR}/src/core/database/dir.h
        ${CMAKE_SOURCE_DIR}/src/core/database/icon.h
        ${CMAKE_SOURCE_DIR}/src/core/database/image.h
        ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
)

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    SET( Q4WINE_LIB_SOURCES
        ${Q4WINE_LIB_SOURCES}
        ${CMAKE_SOURCE_DIR}/src/darwin/ps.c
    )
    SET( Q4WINE_LIB_HEADERS
        ${Q4WINE_LIB_HEADERS}
        ${CMAKE_SOURCE_DIR}/src/darwin/ps.h
    )
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

SET ( Q4WINE_LIB_MOC_HEADERS
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/process.h
    ${CMAKE_SOURCE_DIR}/src/core/database/db.h
)

SET ( Q4WINE_LIB_UI_SOURCES
    ${CMAKE_SOURCE_DIR}/src/q4wine-gui/uis/Process.ui
)

IF( QT5 )
QT5_WRAP_UI( Q4WINE_LIB_UI_HEADERS ${Q4WINE_LIB_UI_SOURCES} )
QT5_WRAP_CPP( Q4WINE_LIB_LIB_MOC_SOURCES ${Q4WINE_LIB_MOC_HEADERS} )
ELSE( QT5 )
QT4_WRAP_UI( Q4WINE_LIB_UI_HEADERS ${Q4WINE_LIB_UI_SOURCES} )
QT4_WRAP_CPP( Q4WINE_LIB_LIB_MOC_SOURCES ${Q4WINE_LIB_MOC_HEADERS} )
ENDIF( QT5 )

ADD_LIBRARY( q4wine-core SHARED ${Q4WINE_LIB_SOURCES} ${Q4WINE_LIB_UI_HEADERS} ${Q4WINE_LIB_LIB_MOC_SOURCES} ${Q4WINE_LIB_HEADERS} ${QM_I18N} )

IF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )
    SET_TARGET_PROPERTIES(q4wine-core PROPERTIES INSTALL_NAME_DIR "@executable_path/../Frameworks")
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES Darwin )

target_link_libraries( q4wine-core ${QT_LIBRARIES})
add_dependencies( q4wine-core translations_build )

IF( RELEASE )
    install( TARGETS q4wine-core LIBRARY DESTINATION ${LIBS_ENTRY_PATH} NAMELINK_SKIP)
ENDIF( RELEASE )

## q4wine 1.0-r1

=== debian/changelog ===
q4wine (1.0-r1-1) experimental; urgency=low

  * Update to stable release 1.0-r1.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 26 Jan 2013 22:41:37 +0200

q4wine (1.0-1) experimental; urgency=low

  * Update to stable release 1.0.
  * Simplify debian/rules.
  * Fix debian/compat.
  * Add debian/lintian-overrides:
    false positives for lintian tag hardening-no-fortify-functions.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 21 Jan 2013 22:31:26 +0200

q4wine (0.999-rc8-2) experimental; urgency=low

  * Dependencies from wine* were moved from Depends to Recommends section.
    It should simplify migration to Multiarch packages. Also wine can be
    manually compiled and installed in user's system and not listed in the
    list of installed packages in this case. (Closes: #679466)

 -- Boris Pek <tehnick-8@mail.ru>  Fri, 29 Jun 2012 02:48:56 +0300

q4wine (0.999-rc8-1) experimental; urgency=low

  * Update to release candidate 0.999-rc8.
  * Deleted debian/patches/*: accepted in upstream.
  * Updated debian/watch: changed regexp.
  * Updated debian/control: used [kfreebsd-any] instead of hardcoded list of
    kFreeBSD architectures [kfreebsd-i386 kfreebsd-amd64] in build dependency
    from libkvm-dev.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 28 Jun 2012 21:36:21 +0300

q4wine (0.999-rc7-3) experimental; urgency=low

  * Added file debian/patches/fixes-for-hurd-i386:
    fixes FTBFS in Debian GNU/Hurd.

 -- Boris Pek <tehnick-8@mail.ru>  Wed, 06 Jun 2012 21:55:24 +0300

q4wine (0.999-rc7-2) experimental; urgency=low

  * Added patch debian/patches/fix-build-on-kfreebsd-and-hurd-i386:
    possibly fixes FTBFS in Debian GNU/kFreeBSD and GNU/Hurd.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 05 Jun 2012 22:07:11 +0300

q4wine (0.999-rc7-1) experimental; urgency=low

  * Update to release candidate 0.999-rc7.
  * debian/patches/* were deleted: now available in upstream.
  * debian/copyright was updated: new files in source tree.
  * debian/rules was updated:
    - now uscan is used instead of direct using of wget and mv commands
    - used hardening flags in compiler options

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 04 Jun 2012 12:35:24 +0300

=== debian/control ===
Source: q4wine
Section: otherosfs
Priority: optional
Maintainer: Boris Pek <tehnick-8@mail.ru>
Build-Depends: debhelper (>= 7.0.50~), cmake, autotools-dev, fakeroot,
 libqt4-dev (>=4.4.0), qt4-dev-tools (>=4.4.0), qt4-qtconfig (>=4.4.0),
 libfuse2 [!hurd-i386], libfuse-dev [!hurd-i386],
 icoutils (>=0.26.0), libkvm-dev [kfreebsd-any]
Homepage: http://q4wine.brezblock.org.ua/
Vcs-Git: git://github.com/tehnick/q4wine-debian.git
Vcs-Browser: https://github.com/tehnick/q4wine-debian
Standards-Version: 3.9.3
DM-Upload-Allowed: yes

Package: q4wine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-sql-sqlite, icoutils (>=0.26.0), wget, sudo
Recommends: wine-bin [any-i386 any-powerpc any-sparc] |
 wine-bin-unstable [any-i386 any-powerpc any-sparc] |
 wine64-bin [any-amd64] | wine64-bin-unstable [any-amd64] |
 wine [amd64 i386] | wine1.2 [amd64 i386] | wine1.3 [amd64 i386] |
 wine1.4 [amd64 i386] | wine1.5 [amd64 i386]
Suggests: fuseiso [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Replaces: q4wine-unstable
Conflicts: q4wine-unstable
Description: Qt4 GUI for wine (WINE)
 Q4Wine will help you manage wine prefixes and installed applications.
 .
 General features:
  - Can export Qt color theme into wine colors settings.
  - Can easy work with different wine versions at same time.
  - Easy creating, deleting and managing prefixes (WINEPREFIX).
  - Easy controlling for wine process.
  - Easy installer wizard for wine applications.
  - Autostart icons support.
  - Easy CD-image use.
  - You can extract icons from PE files (.exe .dll).
  - Easy backup and restore for managed prefixes.
  - Winetricks support.
  - And more...

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export CPPFLAGS CXXFLAGS LDFLAGS

CMAKEOPTS = -DCMAKE_BUILD_TYPE=Release \
            -DLIBS_ENTRY_PATH=/usr/lib/q4wine/ \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -USE_GZIP=ON

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKEOPTS)

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

get-orig-source:
	uscan --noconf --verbose --force-download --rename --download-current-version

.PHONY: override_dh_makeshlibs

## q4wine 1.0-r2

=== debian/changelog ===
q4wine (1.0-r2-1) experimental; urgency=low

  * Update to stable release 1.0-r2.

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 04 Mar 2013 00:13:07 +0200

## q4wine 1.0-r3

=== debian/changelog ===
q4wine (1.0-r3-2) unstable; urgency=low

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 12 May 2013 16:20:23 +0300

q4wine (1.0-r3-1) experimental; urgency=low

  * Update to stable release 1.0-r3.
  * Update debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 04 May 2013 00:58:16 +0300
